﻿#include <iostream>
#include <thrift/protocol/TBinaryProtocol.h>
#include <thrift/transport/TTransportUtils.h>
#include <thrift/transport/TSocket.h>
#include "EchoService.h"

using namespace apache::thrift;
using namespace apache::thrift::protocol;
using namespace apache::thrift::transport;

int main(int argc, const char ** argv)
{
	std::shared_ptr<TSocket>    socket    = std::shared_ptr<TSocket>(new TSocket("127.0.0.1", 9090));
	std::shared_ptr<TTransport> transport = std::make_shared<TBufferedTransport>(socket);
	std::shared_ptr<TProtocol>  protocol  = std::make_shared<TBinaryProtocol>(transport);

	transport->open();

	echo::EchoServiceClient testClient(protocol);

	std::string sOut;
	testClient.TestEcho(sOut, argv[1]);
	
	std::cout << sOut << std::endl;
	
	return 0;
}
